### Method

# Dex Scheduler get_main_context

#### Declaration [src]

    GMainContext*
    dex_scheduler_get_main_context (
      DexScheduler* scheduler
    )

#### Description [src]

Gets the default main context for a scheduler.

This may be a different value depending on the calling thread.

For example, calling this on the `DexThreadPoolScheduer` from outside a worker thread may result in getting a shared `GMainContext` for the process.

However, calling from a worker thread may give you a `GMainContext` specifically for that thread.

#### Return value

Type: `GMainContext`

A `GMainContext`.

The returned data is owned by the instance.